## python-pygraphviz 1.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  dist      to make a distribution-ready tree"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf build/*

dist: html
	test -d build/latex || make latex
	make -C build/latex all-pdf
	-rm -rf build/dist
	(cd build/html; cp -r . ../../build/dist)
	(cd build/html && zip -9r ../dist/pygraphviz-documentation.zip .)
	cp build/latex/*.pdf build/dist
	(cd build/dist && tar czf ../dist.tar.gz .)

generate: build/generate-stamp

build/generate-stamp:
	mkdir -p build
#	./sphinxext/numpyext/autosummary_generate.py source/reference/*.rst \
#		-p dump.xml -o source/reference/generated 
#	./make_gallery.py 
#	./make_examples_rst.py ../examples source
	touch build/generate-stamp

ext-svn:
	svn co http://sphinx.googlecode.com/svn/contrib/trunk/numpyext sphinxext/numpyext

html: generate 
	mkdir -p build/html build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
#	python postprocess.py html build/html/*.html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

pickle: generate
	mkdir -p build/pickle build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web build/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp: generate
	mkdir -p build/htmlhelp build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

latex: generate
	mkdir -p build/latex build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
#	python postprocess.py tex build/latex/*.tex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

coverage: build
	mkdir -p build/coverage build/doctrees
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) build/coverage
	@echo "Coverage finished; see c.txt and python.txt in build/coverage"

changes: generate
	mkdir -p build/changes build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck: generate
	mkdir -p build/linkcheck build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

doctest: generate
	mkdir -p build/linkcheck build/doctrees
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in build/doctest/output.txt."

## python-pygraphviz 1.0

=== debian/changelog ===
python-pygraphviz (1.0-1) unstable; urgency=low

  * New upstream release
  * debian/copyright
    - updated download location
    - updated upstream copyright years
  * debian/control
    - bump Standards-Version to 3.9.1
      + removed references to BSD licenses from debian/copyright
  * debian/patches/changeset_r{1131, 1746, 1752}.diff
    - removed, shipped with upstream tarball

 -- Sandro Tosi <morph@debian.org>  Mon, 02 Aug 2010 23:26:30 +0200

python-pygraphviz (0.99.1-2) unstable; urgency=low

  * debian/{control, source/format, rules}
    - switch to '3.0 (quilt)' source format
  * debian/{control, pyversions}
    - removed pyversions, now using XS-P-V
  * debian/watch
    - only report number-only versions
  * debian/patches/changeset_r{1131, 1746, 1752}.diff
    - added from upstream svn to support Python 2.6 (no string exceptions and
      not access to __dict__); Closes: #585317

 -- Sandro Tosi <morph@debian.org>  Thu, 24 Jun 2010 16:37:25 +0200

python-pygraphviz (0.99.1-1) unstable; urgency=low

  * New upstream release; thanks to David Claughton for the report;
    Closes: #568031
  * debian/control
    - take maintainership back under DPMT umbrella; thanks to Cyril Brulebois
      for his work
    - adjust Vcs-{Svn, Browser} to point to DPMT location
    - bump Standards-Version to 3.8.4
      + added debian/README.source
  * debian/copyright
    - update copyright notice for packaging
  * debian/pycompat
    - removed, no more needed
  * debian/pyversions
    - minimum version set to 2.5
  * debian/patches/10_ship_examples_miles.dat
    - updated for new upstream code
    - added description
  * debian/patches/20_add_python_shebang
    - removed, fixed upstream

 -- Sandro Tosi <morph@debian.org>  Mon, 22 Feb 2010 19:17:33 +0100

python-pygraphviz (0.99-3) unstable; urgency=low

  * Avoid installation in /usr/local by adding “--prefix=/usr” through the
    DEB_PYTHON_INSTALL_ARGS_ALL variable. Many thanks to Piotr Ożarowski
    for reporting, and to Kumar Appaiah for the patch. Good work on
    getting python2.6 rocking and rolling! (Closes: #556157).
  * Fix Homepage field since upstream's website got shuffled around,
    thanks to Denis Laxalde (Closes: #559059).

 -- Cyril Brulebois <kibi@debian.org>  Sat, 05 Dec 2009 02:25:39 +0100

python-pygraphviz (0.99-2) unstable; urgency=low

  * Upload to unstable now that lenny is released (yay).
  * Fix FTBFS with python-support 0.90.3: no longer rely on its internal
    behaviour, and now set tests/test.py executable in the install target
    (Closes: #517080).
  * Tidy up debian/rules some more.
  * Update Vcs-* fields: move from DPMT's svn to collab-maint's git.
  * Remote DPMT from Uploaders, following Piotr Ożarowski's request.
  * Add ${misc:Depends} to Depends.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 28 Feb 2009 13:53:32 +0100

python-pygraphviz (0.99-1) experimental; urgency=low

  [ Sandro Tosi ]
  * debian/control:
    - Switch Vcs-Browser field to viewsvn.

  [ Cyril Brulebois ]
  * New upstream release.
  * debian/docs:
     - Update for the renamed README.txt file.
  * debian/rules:
     - Clean the pygraphviz.egg-info directory in a “clean::” target since
       it gets generated again during the build, with different contents
       (which breaks double-build).
     - Update accordingly (keep shipping it as README).
     - No longer remove License.txt (no longer shipped).
     - Remove INSTALL.txt (not needed).
  * Refresh patch accordingly:
     - debian/patches/10_ship_examples_miles.dat
  * Include patch to add a python shebang for scripts missing it:
     - debian/patches/20_add_python_shebang
  * debian/control:
     - Bump Standards-Version from 3.7.3 to 3.8.0 (no changes needed).
     - Update my mail address.
  * debian/copyright:
     - Ditto.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 29 Nov 2008 22:57:14 +0100

python-pygraphviz (0.36-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control:
     - Uniformize Vcs-Browser field.

  [ Cyril Brulebois ]
  * New upstream release.
  * debian/copyright:
     - Update copyright years.
     - Add full licensing terms for doc/examples/miles_dat.txt.gz
     - Uniformize indentation, add some blank lines to ease reading.
  * No longer repack:
     - Not needed, since the license of miles.dat has been sorted out.
     - Drop README.Debian accordingly.
     - Drop version mangling in the watch file accordingly.
     - Drop no longer needed DEB_REAL_UPSTREAM_VERSION variable, and
       use DEB_UPSTREAM_VERSION instead.
  * Ship doc/examples/miles.dat.gz:
     - Add patch to ship it (upstream uses a wildcard on “*.dat” only,
       adding a wildcard on “*.txt.gz”): 10_ship_examples_miles.dat
     - Build-Depends: Add quilt accordingly.
     - debian/rules: Add quilt include accordingly.
  * Graphviz transition:
     - Build-Depends: Replace libgraphviz3-dev with libgraphviz-dev
       (the development package is no longer versioned).
     - Depends: Bump the versioned dependency from >= 2.12 to >= 2.16.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Tue, 15 Jan 2008 14:51:25 +0100

python-pygraphviz (0.35.dfsg-2) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Add Homepage field, delete it from the long description.
  * Rename XS-Vcs-* fields to Vcs-*.
  * Add execute bit to test.py file instead of lintian override.

  [ Cyril Brulebois ]
  * Mention in README.Debian how to obtain miles.dat, as suggested by Kumar
    Appaiah (Closes: #449547).
  * Add a TODO about the missing get-orig-source target in debian/rules (in
    case upstream keeps on shipping miles.dat).
  * Bump Standards-Version to 3.7.3 (no change needed).

  [ Sandro Tosi ]
  * debian/watch: Mangle debian version to match upstream version (by
    stripping the “.dfsg” part).

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Fri, 21 Dec 2007 01:19:09 +0100

python-pygraphviz (0.35.dfsg-1) unstable; urgency=low

  * New upstream release.


=== debian/control ===
Source: python-pygraphviz
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sandro Tosi <morph@debian.org>
Build-Depends: debhelper (>= 5), cdbs (>= 0.4.43), python-support (>= 0.6.4), python-all-dev (>= 2.3.5-11), libgraphviz-dev, python-setuptools, pkg-config
Standards-Version: 3.9.1
XS-Python-Version: >= 2.5
Homepage: http://networkx.lanl.gov/pygraphviz/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-pygraphviz/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-pygraphviz/trunk/

Package: python-pygraphviz
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, graphviz (>= 2.16), ${misc:Depends}
Provides: ${python:Provides}
Description: Python interface to the Graphviz graph layout and visualization package
 Pygraphviz is a Python interface to the Graphviz graph layout and
 visualization package.
 .
 With Pygraphviz you can create, edit, read, write, and draw graphs using
 Python to access the Graphviz graph data structure and layout algorithms.

=== debian/rules ===
#!/usr/bin/make -f

# Commodity variables
DOC_INSTDIR=$(CURDIR)/debian/python-pygraphviz/usr/share/doc

# Needed before including python-distutils.mk
DEB_PYTHON_SYSTEM = pysupport


include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk


# Some variables
DEB_PYTHON_MODULE_PACKAGE   = pygraphviz
DEB_PYTHON_CLEAN_ARGS       = --all
DEB_PYTHON_INSTALL_ARGS_ALL = --no-compile --force

# Install egg-info directories, using setup_egg.py instead of setup.py
DEB_PYTHON_SETUP_CMD         = setup_egg.py
DEB_PYTHON_INSTALL_ARGS_ALL += --single-version-externally-managed \
				--prefix=/usr

install/python-pygraphviz::
	# Fix test.py permissions (not an upstream problem):
	for i in `pyversions -s`; do \
		chmod +x debian/python-pygraphviz/usr/lib/$$i/site-packages/pygraphviz/tests/test.py; \
	done

binary-install/python-pygraphviz::
	# Move the documentation
	mv $(DOC_INSTDIR)/pygraphviz-$(DEB_UPSTREAM_VERSION)/* \
		$(DOC_INSTDIR)/python-pygraphviz
	rmdir $(DOC_INSTDIR)/pygraphviz-$(DEB_UPSTREAM_VERSION)

	# Remove extraneous license file, and rename the README file
	rm $(DOC_INSTDIR)/python-pygraphviz/INSTALL.txt
	mv -f $(DOC_INSTDIR)/python-pygraphviz/README.txt \
		$(DOC_INSTDIR)/python-pygraphviz/README

	# Fix example permissions, until upstream fixes it
	chmod a+x $(DOC_INSTDIR)/python-pygraphviz/examples/*.py

# BUILD_ARGS should contain --build-base but it's:
#  - neither supported by the setup.py script
#  - nor needed
DEB_PYTHON_BUILD_ARGS =


# CDBS doesn't allow separate build steps for module and extension, let's hack it:
#  - copied the following target from the python-distutils.mk (CDBS Makefile)
#  - deleted arch=all test since we _do_ have an extension => arch=any
python-build-stamp-%::
	cd $(DEB_SRCDIR) && python$* $(DEB_PYTHON_SETUP_CMD) build_ext $(DEB_PYTHON_BUILD_ARGS) $(DEB_PYTHON_BUILD_EXTENSION_ARGS)
	cd $(DEB_SRCDIR) && python$* $(DEB_PYTHON_SETUP_CMD) build_py $(DEB_PYTHON_BUILD_ARGS)
	touch $@

clean::
	# Shipped in the source tarball, generated again during the build
	rm -rf pygraphviz.egg-info

=== debian/watch ===
version=3

http://networkx.lanl.gov/download/pygraphviz/pygraphviz-([\d\.]*)\.tar.gz

## python-pygraphviz 1.1

=== debian/changelog ===
python-pygraphviz (1.1-1) unstable; urgency=low

  * New upstream release
  * debian/patches/20_doc_install_path, debian/rules
    - install the documentation in the expected Debian directory, so part of doc
      installation was semplified in rules
  * debian/{control, rules}
    - added python-pygraphviz-dbg package
  * debian/copyright
    - extended packaging copyright years
    - updated upstream copyright years
  * debian/control
    - bump Standards-Version to 3.9.2 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 16 Oct 2011 14:47:32 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>
-Build-Depends: debhelper (>= 5), cdbs (>= 0.4.43), python-support (>= 0.6.4), python-all-dev (>= 2.3.5-11), libgraphviz-dev, python-setuptools, pkg-config
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 5), cdbs (>= 0.4.43), python-support (>= 0.6.4), python-all-dev (>= 2.3.5-11), python-all-dbg, libgraphviz-dev, python-setuptools, pkg-config
+Standards-Version: 3.9.2
 XS-Python-Version: >= 2.5
 Homepage: http://networkx.lanl.gov/pygraphviz/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-pygraphviz/trunk/
@@ -20,3 +20,18 @@
  .
  With Pygraphviz you can create, edit, read, write, and draw graphs using
  Python to access the Graphviz graph data structure and layout algorithms.
+
+Package: python-pygraphviz-dbg
+Priority: extra
+Section: debug
+Architecture: any
+Depends: ${misc:Depends}, python-pygraphviz (= ${binary:Version}), python-dbg, ${shlibs:Depends}
+Description: Python interface to the Graphviz graph layout and visualization package (debug extension)
+ Pygraphviz is a Python interface to the Graphviz graph layout and
+ visualization package.
+ .
+ With Pygraphviz you can create, edit, read, write, and draw graphs using
+ Python to access the Graphviz graph data structure and layout algorithms.
+ .
+ This package contains the debug extension for python-openssl.
+

=== debian/rules ===
#!/usr/bin/make -f

# Commodity variables
DOC_INSTDIR=$(CURDIR)/debian/python-pygraphviz/usr/share/doc/python-pygraphviz

# Needed before including python-distutils.mk
DEB_PYTHON_SYSTEM = pysupport


include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk


# Some variables
DEB_PYTHON_MODULE_PACKAGE   = pygraphviz
DEB_PYTHON_CLEAN_ARGS       = --all
DEB_PYTHON_INSTALL_ARGS_ALL = --no-compile --force

# Install egg-info directories, using setup_egg.py instead of setup.py
DEB_PYTHON_SETUP_CMD         = setup_egg.py
DEB_PYTHON_INSTALL_ARGS_ALL += --single-version-externally-managed \
				--prefix=/usr --root $(CURDIR)/debian/python-pygraphviz

install/python-pygraphviz::
	# Fix test.py permissions (not an upstream problem):
	for i in `pyversions -s`; do \
		chmod +x debian/*/usr/lib/$$i/*-packages/pygraphviz/tests/test.py; \
	done

binary-install/python-pygraphviz::
	# Remove extraneous license file, and rename the README file
	rm $(DOC_INSTDIR)/INSTALL.txt
	mv -f $(DOC_INSTDIR)/README.txt $(DOC_INSTDIR)/README

	# Fix example permissions, until upstream fixes it
	chmod a+x $(DOC_INSTDIR)/examples/*.py

# BUILD_ARGS should contain --build-base but it's:
#  - neither supported by the setup.py script
#  - nor needed
DEB_PYTHON_BUILD_ARGS =


# CDBS doesn't allow separate build steps for module and extension, let's hack it:
#  - copied the following target from the python-distutils.mk (CDBS Makefile)
#  - deleted arch=all test since we _do_ have an extension => arch=any
python-build-stamp-%::
	cd $(DEB_SRCDIR) && python$* $(DEB_PYTHON_SETUP_CMD) build_ext $(DEB_PYTHON_BUILD_ARGS) $(DEB_PYTHON_BUILD_EXTENSION_ARGS)
	cd $(DEB_SRCDIR) && python$* $(DEB_PYTHON_SETUP_CMD) build_py $(DEB_PYTHON_BUILD_ARGS)
	touch $@

install/python-pygraphviz-dbg::
	for i in $(cdbs_python_build_versions); do \
		python$$i-dbg $(DEB_PYTHON_SETUP_CMD) install --root $(CURDIR)/debian/python-pygraphviz-dbg; \
	done
	find debian/python-pygraphviz-dbg \
	! -type d ! -name '*_d.so' | xargs rm -f
	find debian/python-pygraphviz-dbg -depth -empty -exec rmdir {} \;

binary-predeb/python-pygraphviz-dbg::
	rm -rf debian/python-pygraphviz-dbg/usr/share/doc/python-pygraphviz-dbg
	ln -s python-pygraphviz debian/python-pygraphviz-dbg/usr/share/doc/python-pygraphviz-dbg


clean::
	# Shipped in the source tarball, generated again during the build
	rm -rf pygraphviz.egg-info

## python-pygraphviz 1.2

=== debian/changelog ===
python-pygraphviz (1.2-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Sandro Tosi ]
  * New upstream release
  * debian/watch
    - updated for new upstream tarballs location
  * debian/copyright
    - update upstream copyright years and author email
    - extended packaging copyright years
  * debian/control
    - bump Standards-Version to 3.9.4 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Mon, 05 Aug 2013 23:36:04 +0200

python-pygraphviz (1.1-2) unstable; urgency=low

  * debian/rules
    - remove leftover from build process, so the package can be built twice in a
      row; thanks to Jakub Wilk for the report; Closes: #671253

 -- Sandro Tosi <morph@debian.org>  Sun, 06 May 2012 17:20:23 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>
 Build-Depends: debhelper (>= 5), cdbs (>= 0.4.43), python-support (>= 0.6.4), python-all-dev (>= 2.3.5-11), python-all-dbg, libgraphviz-dev, python-setuptools, pkg-config
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 XS-Python-Version: >= 2.5
 Homepage: http://networkx.lanl.gov/pygraphviz/
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-pygraphviz/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-pygraphviz/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-pygraphviz/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-pygraphviz/trunk/
 
 Package: python-pygraphviz
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -65,3 +65,4 @@
 clean::
 	# Shipped in the source tarball, generated again during the build
 	rm -rf pygraphviz.egg-info
+	rm -rf python-build-stamp build

=== debian/watch ===
version=3

opts="uversionmangle=s/rc/~rc/" \
  http://pypi.python.org/packages/source/p/pygraphviz/pygraphviz-(.*)\.tar.gz

## python-pygraphviz 1.3~rc2

=== debian/changelog ===
python-pygraphviz (1.3~rc2-1) unstable; urgency=medium

  * New upstream release candidate
  * debian/patches/{2e27964ce86e8f49c496e5a549237ff6b1763e9a*.patch, 
                    ignore-decoding.patch}
    - removed, merged upstream
  * debian/rules
    - run unittests at build time
  * debian/patches/dont-import-tests.patch
    - removed, no longer needed
  * debian/control
    - add python-nose to b-d, needed to run unittests

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Nov 2014 20:29:23 +0000

python-pygraphviz (1.3~rc1-1) unstable; urgency=medium

  * New upstream release candidate
  * Switch from CDBS + pysupport to dh sequencer and dh_python2; Closes: #759709
  * debian/patches/*
    - don't install data from setup.py, use dh_installexamples instead
  * debian/control
    - remove useless Provides
    - fix typo in long description for -dbg package
    - switch me to Maintainer (team to Uploaders)
    - add graphviz to b-d, needed to run tests
    - bump Standards-Version to 3.9.6 (no changes needed)
  * debian/README.source
    - removed, no longer needed
  * Bump debhelper compat version to 9
  * debian/copyright
    - extend packaging and upstream copyright years
  * debian/patches/ignore-decoding.patch
    - remove locale & decoding in libgraphviz identification process
  * debian/patches/dont-import-tests.patch
    - disable load of tests submodule

 -- Sandro Tosi <morph@debian.org>  Fri, 10 Oct 2014 19:42:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: python-pygraphviz
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Sandro Tosi <morph@debian.org>
-Build-Depends: debhelper (>= 5), cdbs (>= 0.4.43), python-support (>= 0.6.4), python-all-dev (>= 2.3.5-11), python-all-dbg, libgraphviz-dev, python-setuptools, pkg-config
-Standards-Version: 3.9.4
+Maintainer: Sandro Tosi <morph@debian.org>
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Build-Depends: debhelper (>= 9), dh-python, python-all-dev (>= 2.3.5-11), python-all-dbg, libgraphviz-dev, python-setuptools, pkg-config, graphviz, python-nose
+Standards-Version: 3.9.6
 XS-Python-Version: >= 2.5
 Homepage: http://networkx.lanl.gov/pygraphviz/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-pygraphviz/trunk/
@@ -13,7 +13,6 @@
 Package: python-pygraphviz
 Architecture: any
 Depends: ${python:Depends}, ${shlibs:Depends}, graphviz (>= 2.16), ${misc:Depends}
-Provides: ${python:Provides}
 Description: Python interface to the Graphviz graph layout and visualization package
  Pygraphviz is a Python interface to the Graphviz graph layout and
  visualization package.
@@ -33,5 +32,4 @@
  With Pygraphviz you can create, edit, read, write, and draw graphs using
  Python to access the Graphviz graph data structure and layout algorithms.
  .
- This package contains the debug extension for python-openssl.
-
+ This package contains the debug extension for python-pygraphviz.

=== debian/rules ===
#!/usr/bin/make -f

PYTHON2=$(shell pyversions -r)

%:
	dh  $@ --with python2

override_dh_install:
	set -e; \
	for python in $(PYTHON2); do \
		$$python setup.py install --install-layout=deb --root=$(CURDIR)/debian/python-pygraphviz; \
                $$python-dbg setup.py install --install-layout=deb --root=$(CURDIR)/debian/python-pygraphviz-dbg; \
	done

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython-pygraphviz --dbg-package=python-pygraphviz-dbg
endif

override_dh_installexamples:
	dh_installexamples -ppython-pygraphviz examples/*

override_dh_installdocs:
	dh_installdocs --link-doc=python-pygraphviz

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	set -e; \
	for python in $(PYTHON2); do \
		LIB=$$($$python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_purelib)") ; \
		touch $(CURDIR)/$$LIB/pygraphviz/tests/__init__py ; \
		cd build ; $$python -c "import sys ; sys.path.insert(0, '$(CURDIR)/$$LIB') ; import pygraphviz as t ; t.test()" ; cd .. ; \
		rm $(CURDIR)/$$LIB/pygraphviz/tests/__init__py ; \
		LIB=$$($$python-dbg -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_purelib)") ; \
		touch $(CURDIR)/$$LIB/pygraphviz/tests/__init__py ; \
		cd build ; $$python-dbg -c "import sys ; sys.path.insert(0, '$(CURDIR)/$$LIB') ; import pygraphviz as t ; t.test()" ; cd .. ; \
		rm $(CURDIR)/$$LIB/pygraphviz/tests/__init__py ; \
	done
endif

## python-pygraphviz 1.3.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest epub

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  epub       to make an epub"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"


clean:
	-rm -rf build/* source/reference/generated/* source/examples/* source/static/examples doc/source/*.pdf doc/source/*.zip 
	-rm -rf ../examples/*/*.png

generate: build/generate-stamp
build/generate-stamp: $(wildcard source/reference/*.rst)
	mkdir -p build
	touch build/generate-stamp


dist: html
	test -d build/latex || make latex
	make -C build/latex all-pdf
	-rm -rf build/dist
	(cd build/html; cp -r . ../../build/dist)
#	-rm -f build/dist/_downloads/*
#	-mkdir  build/dist/_downloads
#	(cd build/html && zip -9r ../dist/_downloads/pygraphviz-documentation.zip .)
	(cd build/html && zip -9r ../dist/pygraphviz-documentation.zip .)
#	cp build/latex/*.pdf build/dist/_downloads
	cp build/latex/*.pdf build/dist/
#	(cd build/dist && ln -s _downloads/* .)
#	(cd build/dist && tar czf ../dist.tar.gz .)


html: generate
	touch source/pygraphviz.pdf      
	touch source/pygraphviz-documentation.zip
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

dirhtml: generate
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in build/dirhtml."

pickle: generate
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json: generate
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp: generate
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

qthelp: generate
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in build/qthelp, like this:"
	@echo "# qcollectiongenerator build/qthelp/test.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile build/qthelp/test.qhc"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) build/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."


latex: generate
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck: generate
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

doctest: generate
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in build/doctest/output.txt."

gh-pages: clean dist
	python gh-pages.py $(tag)

gitwash-update:
	python gitwash_dumper.py source/developer pygraphviz \
       --project-url=http://pygraphviz.github.io \
       --project-ml-url=http://groups.google.com/group/pygraphviz-discuss/

=== debian/changelog ===
python-pygraphviz (1.3.1-0ubuntu2) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 00:10:23 +0000

python-pygraphviz (1.3.1-0ubuntu1) xenial; urgency=medium

  * New upstream version.
  * Fix return type for agattr_label.
  * Generate the bindings using swig 3.0.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Jan 2016 17:51:15 +0100

python-pygraphviz (1.3~rc2-3build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 23 Jul 2015 00:06:28 +0000

python-pygraphviz (1.3~rc2-3) unstable; urgency=medium

  * debian/control
    - suggests the -doc package

 -- Sandro Tosi <morph@debian.org>  Mon, 29 Jun 2015 07:49:16 -0400

python-pygraphviz (1.3~rc2-2) experimental; urgency=medium

  * debian/{control, rules}
    - provide py3k packages
  * debian/watch
    - use PyPI redirector
  * debian/{control, docs, rules}
    - build documentation and provide a -doc package

 -- Sandro Tosi <morph@debian.org>  Sat, 14 Feb 2015 17:43:59 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: python-pygraphviz
 Section: python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9), dh-python, python-all-dev (>= 2.3.5-11), python-all-dbg, libgraphviz-dev, python-setuptools, pkg-config, graphviz, python-nose
+Build-Depends: debhelper (>= 9), dh-python, python-all-dev (>= 2.3.5-11), python-all-dbg, python3-all-dev, python3-all-dbg, libgraphviz-dev, python-setuptools, python3-setuptools, pkg-config, graphviz, python-nose, python3-nose, python-sphinx
 Standards-Version: 3.9.6
-XS-Python-Version: >= 2.5
+X-Python-Version: >= 2.5
+X-Python3-Version: >= 3.2
 Homepage: http://networkx.lanl.gov/pygraphviz/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-pygraphviz/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-pygraphviz/trunk/
@@ -13,12 +15,26 @@
 Package: python-pygraphviz
 Architecture: any
 Depends: ${python:Depends}, ${shlibs:Depends}, graphviz (>= 2.16), ${misc:Depends}
+Suggests: python-pygraphviz-doc
 Description: Python interface to the Graphviz graph layout and visualization package
  Pygraphviz is a Python interface to the Graphviz graph layout and
  visualization package.
  .
  With Pygraphviz you can create, edit, read, write, and draw graphs using
  Python to access the Graphviz graph data structure and layout algorithms.
+
+Package: python3-pygraphviz
+Architecture: any
+Depends: ${python3:Depends}, ${shlibs:Depends}, graphviz (>= 2.16), ${misc:Depends}
+Suggests: python-pygraphviz-doc
+Description: Python interface to the Graphviz graph layout and visualization package (Python 3)
+ Pygraphviz is a Python interface to the Graphviz graph layout and
+ visualization package.
+ .
+ With Pygraphviz you can create, edit, read, write, and draw graphs using
+ Python to access the Graphviz graph data structure and layout algorithms.
+ .
+ This package contains the Python 3 version of python-pygraphviz.
 
 Package: python-pygraphviz-dbg
 Priority: extra
@@ -33,3 +49,30 @@
  Python to access the Graphviz graph data structure and layout algorithms.
  .
  This package contains the debug extension for python-pygraphviz.
+
+Package: python3-pygraphviz-dbg
+Priority: extra
+Section: debug
+Architecture: any
+Depends: ${misc:Depends}, python3-pygraphviz (= ${binary:Version}), python3-dbg, ${shlibs:Depends}
+Description: Python interface to the Graphviz graph layout and visualization package (py3k debug extension)
+ Pygraphviz is a Python interface to the Graphviz graph layout and
+ visualization package.
+ .
+ With Pygraphviz you can create, edit, read, write, and draw graphs using
+ Python to access the Graphviz graph data structure and layout algorithms.
+ .
+ This package contains the debug extension for python3-pygraphviz.
+
+Package: python-pygraphviz-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Description: Python interface to the Graphviz graph layout and visualization package (doc)
+ Pygraphviz is a Python interface to the Graphviz graph layout and
+ visualization package.
+ .
+ With Pygraphviz you can create, edit, read, write, and draw graphs using
+ Python to access the Graphviz graph data structure and layout algorithms.
+ .
+ This package contains documentation for python-pygraphviz.

=== debian/rules ===
#!/usr/bin/make -f

PYTHON2=$(shell pyversions -r)
PYTHON3=$(shell py3versions -r)

%:
	dh  $@ --with python2,python3,sphinxdoc

override_dh_install:
	set -e; \
	for python in $(PYTHON2); do \
		$$python setup.py install --install-layout=deb --root=$(CURDIR)/debian/python-pygraphviz; \
		$$python-dbg setup.py install --install-layout=deb --root=$(CURDIR)/debian/python-pygraphviz-dbg; \
	done
	for python in $(PYTHON3); do \
		$$python setup.py install --install-layout=deb --root=$(CURDIR)/debian/python3-pygraphviz; \
		$$python-dbg setup.py install --install-layout=deb --root=$(CURDIR)/debian/python3-pygraphviz-dbg; \
	done

override_dh_auto_build:
	set -e; \
	for python in $(PYTHON2) $(PYTHON3); do \
		$$python setup.py build; \
		$$python-dbg setup.py build; \
	done
	PYTHONPATH=$(CURDIR)/`python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_platlib)"` $(MAKE) -C doc html

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython-pygraphviz --dbg-package=python-pygraphviz-dbg
	dh_strip -ppython3-pygraphviz --dbg-package=python3-pygraphviz-dbg
endif

override_dh_installexamples:
	dh_installexamples -ppython-pygraphviz-doc examples/*

override_dh_installdocs:
	dh_installdocs -ppython-pygraphviz-dbg --link-doc=python-pygraphviz
	dh_installdocs -ppython3-pygraphviz-dbg --link-doc=python3-pygraphviz
	dh_installdocs
	dh_installdocs -ppython-pygraphviz-doc doc/build/html README.rst

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	set -e; \
	for python in python3.5 $(PYTHON2) $(PYTHON3); do \
		echo "======= testing $$python-dbg ======="; \
		if [ "$$python" = xxpython3.4 ]; then \
			echo "don't run"; \
			continue; \
		fi; \
		LIB=$$($$python-dbg -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_platlib)") ; \
		touch $(CURDIR)/$$LIB/pygraphviz/tests/__init__py ; \
		cd build ; $$python-dbg -c "import sys ; sys.path.insert(0, '$(CURDIR)/$$LIB') ; import pygraphviz as t ; t.test()" ; cd .. ; \
		rm $(CURDIR)/$$LIB/pygraphviz/tests/__init__py ; \
		echo "======= testing $$python ======="; \
		LIB=$$($$python-dbg -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_platlib)") ; \
		touch $(CURDIR)/$$LIB/pygraphviz/tests/__init__py ; \
		cd build ; $$python-dbg -c "import sys ; sys.path.insert(0, '$(CURDIR)/$$LIB') ; import pygraphviz as t ; t.test()" ; cd .. ; \
		rm $(CURDIR)/$$LIB/pygraphviz/tests/__init__py ; \
	done
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/pygraphviz/pygraphviz-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pygraphviz 1.4~rc1

=== debian/changelog ===
python-pygraphviz (1.4~rc1-1build2) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sat, 05 Aug 2017 21:38:34 +1200

python-pygraphviz (1.4~rc1-1build1) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 12 May 2017 14:53:13 +1200

python-pygraphviz (1.4~rc1-1) unstable; urgency=medium

  * New upstream release candidate
  * Acknowledge NMU, thanks!! Closes: #840845
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - add mock to b-d, needed by tests
    - remove X-P-V fields, no longer needed
  * compat level 10
  * debian/rules
    - remove doc/build in clean target, this allows the package to be built
      twice in a row; Closes: #825922
    - make tests errors fail the build; Closes: #842539

 -- Sandro Tosi <morph@debian.org>  Sun, 08 Jan 2017 15:03:20 -0500

python-pygraphviz (1.3.1-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Remove “set -e; \” line in the dh_auto_test override, which was commented
    out already. Test results are ignored entirely anyway. This fixes the
    FTBFS with /bin/sh as bash, thanks to Chris Lamb (Closes: #840845).

 -- Cyril Brulebois <kibi@debian.org>  Sun, 30 Oct 2016 03:09:42 +0100

python-pygraphviz (1.3.1-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release; Closes: #794444, #819739
  * debian/copyright
    - extend upstream copyright years
    - extend packaging copyright years
    - convert to DEP-5 format
    - add files from new upstream release
  * debian/rules
    - don't install README.*, not very informative
    - print for which python flavour we're running the tests
    - increase test verbosity
    - dont fail the build it tests fail
  * debian/control
    - update Homepage field
    - bump Standards-Version to 3.9.8 (no changes needed)

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Sandro Tosi <morph@debian.org>  Sat, 23 Apr 2016 00:32:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,13 @@
 Source: python-pygraphviz
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9), dh-python, python-all-dev (>= 2.3.5-11), python-all-dbg, python3-all-dev, python3-all-dbg, libgraphviz-dev, python-setuptools, python3-setuptools, pkg-config, graphviz, python-nose, python3-nose, python-sphinx
-Standards-Version: 3.9.6
-X-Python-Version: >= 2.5
-X-Python3-Version: >= 3.2
-Homepage: http://networkx.lanl.gov/pygraphviz/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-pygraphviz/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-pygraphviz/trunk/
+Build-Depends: debhelper (>= 10), dh-python, python-all-dev (>= 2.3.5-11), python-all-dbg, python3-all-dev, python3-all-dbg, libgraphviz-dev, python-setuptools, python3-setuptools, pkg-config, graphviz, python-nose, python3-nose, python-sphinx, python-mock (>= 1.3), python3-mock (>= 1.3)
+Standards-Version: 3.9.8
+Homepage: https://pygraphviz.github.io/
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-pygraphviz.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-pygraphviz.git
 
 Package: python-pygraphviz
 Architecture: any

## python-pygraphviz 1.5

=== Makefile ===
all:

swig:
	swig -python pygraphviz/graphviz.i
	# DOS endings to not corrupt the diff.
	@unix2dos pygraphviz/graphviz.py
	@unix2dos pygraphviz/graphviz_wrap.c

# Clean all build and test artifacts.
clean c:
	rm -rf build *.pyc *.egg-info MANIFEST .noseids __pycache__ .tox
	find pygraphviz -name '*.pyc' -delete
	find pygraphviz -name '*.so' -delete
	find pygraphviz -name '__pycache__' -type d | xargs --no-run-if-empty rm -r

=== doc/Makefile ===
--- 
+++ 
@@ -46,7 +46,7 @@
 #	-rm -f build/dist/_downloads/*
 #	-mkdir  build/dist/_downloads
 #	(cd build/html && zip -9r ../dist/_downloads/pygraphviz-documentation.zip .)
-	(cd build/html && zip -9r ../dist/pygraphviz-documentation.zip .)
+#	(cd build/html && zip -9r ../dist/pygraphviz-documentation.zip .)
 #	cp build/latex/*.pdf build/dist/_downloads
 	cp build/latex/*.pdf build/dist/
 #	(cd build/dist && ln -s _downloads/* .)
@@ -54,8 +54,9 @@
 
 
 html: generate
-	touch source/pygraphviz.pdf      
-	touch source/pygraphviz-documentation.zip
+	#make latex
+	#make -C build/latex all-pdf
+	#cp build/latex/pygraphviz.pdf source/.
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
 	@echo
 	@echo "Build finished. The HTML pages are in build/html."
@@ -119,9 +120,6 @@
 	@echo "Testing of doctests in the sources finished, look at the " \
 	      "results in build/doctest/output.txt."
 
-gh-pages: clean dist
-	python gh-pages.py $(tag)
-
 gitwash-update:
 	python gitwash_dumper.py source/developer pygraphviz \
        --project-url=http://pygraphviz.github.io \

=== debian/changelog ===
python-pygraphviz (1.5-4build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:23:47 +0100

python-pygraphviz (1.5-4) unstable; urgency=medium

  * debian/rules
    - cleaner file by exporting PYBUILD_NAME instead of overwriting
      dh_auto_install

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Jan 2020 13:05:01 -0500

python-pygraphviz (1.5-3) unstable; urgency=medium

  * debian/rules
    - properly install module files in the binary packages; patch by Anton
      Gladky; Closes: #948713

 -- Sandro Tosi <morph@debian.org>  Sun, 12 Jan 2020 21:01:07 -0500

python-pygraphviz (1.5-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces.
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #938068

 -- Sandro Tosi <morph@debian.org>  Thu, 09 Jan 2020 19:06:49 -0500

python-pygraphviz (1.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/watch: Use https protocol
  * Convert git repository from git-dpm to gbp layout

  [ Sandro Tosi ]
  * New upstream release; Closes: #914378
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright years
  * debian/control
    - bump Standards-Version to 4.2.1 (no changes needed)
  * debian/{control,rules}
    - build with py3k sphinx

 -- Sandro Tosi <morph@debian.org>  Fri, 23 Nov 2018 12:42:16 -0500

=== debian/control ===
Source: python-pygraphviz
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
Build-Depends: debhelper-compat (= 10),
               dh-python,
               graphviz,
               libgraphviz-dev,
               pkg-config,
               python3-all-dbg,
               python3-all-dev,
               python3-mock (>= 1.3),
               python3-nose,
               python3-setuptools,
               python3-sphinx,
Standards-Version: 4.2.1
Homepage: https://pygraphviz.github.io/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-pygraphviz.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pygraphviz

Package: python3-pygraphviz
Architecture: any
Depends: graphviz (>= 2.16),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Suggests: python-pygraphviz-doc,
Description: Python interface to the Graphviz graph layout and visualization package (Python 3)
 Pygraphviz is a Python interface to the Graphviz graph layout and
 visualization package.
 .
 With Pygraphviz you can create, edit, read, write, and draw graphs using
 Python to access the Graphviz graph data structure and layout algorithms.
 .
 This package contains the Python 3 version of python-pygraphviz.

Package: python3-pygraphviz-dbg
Section: debug
Architecture: any
Depends: python3-dbg,
         python3-pygraphviz (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Python interface to the Graphviz graph layout and visualization package (py3k debug extension)
 Pygraphviz is a Python interface to the Graphviz graph layout and
 visualization package.
 .
 With Pygraphviz you can create, edit, read, write, and draw graphs using
 Python to access the Graphviz graph data structure and layout algorithms.
 .
 This package contains the debug extension for python3-pygraphviz.

Package: python-pygraphviz-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Python interface to the Graphviz graph layout and visualization package (doc)
 Pygraphviz is a Python interface to the Graphviz graph layout and
 visualization package.
 .
 With Pygraphviz you can create, edit, read, write, and draw graphs using
 Python to access the Graphviz graph data structure and layout algorithms.
 .
 This package contains documentation for python-pygraphviz.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pygraphviz

export PYBUILD_AFTER_BUILD_python3=cd doc ; PYTHONPATH={build_dir} $(MAKE) html ; cd ..

%:
	dh  $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython3-pygraphviz --dbg-package=python3-pygraphviz-dbg
endif

override_dh_installexamples:
	dh_installexamples -ppython-pygraphviz-doc examples/*

override_dh_installdocs:
	dh_installdocs -ppython3-pygraphviz-dbg --link-doc=python3-pygraphviz
	dh_installdocs
	dh_installdocs -ppython-pygraphviz-doc doc/build/html

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="touch {build_dir}/pygraphviz/tests/__init__py ; cd {build_dir} ; {interpreter} -c \"import sys ; sys.path.insert(0, '{build_dir}') ; import pygraphviz as t ; t.test(verbosity=2)\" ; cd .." dh_auto_test
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pygraphviz/pygraphviz-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
